### Class

# Camel MultipartSigned

#### Description

    class Camel.MultipartSigned : Camel.Multipart
    {
      CamelMultipartSignedPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelMultipart
- CamelDataWrapper
- GObject

#### Constructors

###### camel_multipart_signed_new

Create a new `CamelMultipartSigned` object.

#### Instance methods

###### camel_multipart_signed_get_content_stream

Get the raw signed content stream of the multipart/signed MIME part suitable for use with verification of the signature.

###### camel_multipart_signed_set_content_stream

Explicits sets the raw signed content stream of the multipart/signed MIME part.

since: 3.12

###### camel_multipart_signed_set_signature

Explicitly sets the signature part of `mps`.

since: 3.12

##### Methods inherited from CamelMultipart (11)

###### camel_multipart_add_part

Appends the part to the multipart object.

###### camel_multipart_construct_from_parser

Construct a multipart from a parser.

###### camel_multipart_generate_preview

Generates preview of the `multipart`, to be used in the interface, read by the users.

since: 3.52

###### camel_multipart_get_boundary

No description available.

###### camel_multipart_get_number

No description available.

###### camel_multipart_get_part

No description available.

###### camel_multipart_get_postface

Returns the postface text for `multipart`.

since: 3.12

###### camel_multipart_get_preface

Returns the preface text for `multipart`.

since: 3.12

###### camel_multipart_set_boundary

Sets the message boundary for `multipart` to `boundary`. This should be a string which does not occur anywhere in any of `multipart`‘s subparts. If `boundary` is `NULL`, a randomly-generated boundary will be used.

###### camel_multipart_set_postface

Set the postface text for this multipart. Will be written out after the last boundary of the multipart, and ignored by any MIME mail client.

###### camel_multipart_set_preface

Set the preface text for this multipart. Will be written out infront of the multipart. This text should only include US-ASCII strings, and be relatively short, and will be ignored by any MIME mail client.

##### Methods inherited from CamelDataWrapper (31)

Please see CamelDataWrapper for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelMultipartSignedClass {
      CamelMultipartClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelMultipartClass`

  No description available.

`reserved: gpointer`

  No description available.